# NativeBinary

@Incubating
interface NativeBinary : Binary

Represents a particular binary artifact.

#### Inheritors

NativeExecutableBinary
NativeLibraryBinary

## Functions

getBuildType
Link copied to clipboard
abstract fun getBuildType(): BuildType
Returns the org.gradle.nativeplatform.BuildType used to construct this binary.
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
getFlavor
Link copied to clipboard
abstract fun getFlavor(): Flavor
The org.gradle.nativeplatform.Flavor that this binary was built with.
getTargetPlatform
Link copied to clipboard
abstract fun getTargetPlatform(): NativePlatform
Returns the org.gradle.nativeplatform.platform.NativePlatform that this binary is targeted to run on.